Name:           swai-inst
Version:        1.0.6
Release:        1%{?dist}
Summary:        SWAI Installer

License:        GPL v3
URL:            https://gitlab.com/stillhq/stillOS/swai_inst/
Source0:        https://gitlab.com/stillhq/stillOS/swai_inst/-/archive/main/swai_inst-main.tar.gz

BuildArch:      noarch
Requires:       python3
Requires:       python3-click
Requires:       python3-requests
Requires:       python3-yaml
BuildRequires:  python3-devel
BuildRequires:  systemd-rpm-macros

%description
SWAI Installer - Manage SWAI applications.

%prep
%autosetup -n swai_inst-main
%build
%install
mkdir -p %{buildroot}%{python3_sitelib}/swai_inst
mkdir -p %{buildroot}%{_bindir}
install -m 0755 *.py %{buildroot}%{python3_sitelib}/swai_inst
install -m 0777 __main__.py %{buildroot}%{_bindir}/swai-inst

%files
%{_bindir}/swai-inst
%{python3_sitelib}/swai_inst/*

%changelog
* Wed May 28 2025 Cameron Knauff
- 1.0.0: Initial release
